Bug 423951 - reboot impossible after running out of battery
Summary: reboot impossible after running out of battery
Status: RESOLVED WORKSFORME
Alias: None
Product: kde
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Unassigned bugs mailing-list
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2020-07-06 20:57 UTC by carlo.vaiani
Modified: 2020-09-16 04:33 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description carlo.vaiani 2020-07-06 20:57:28 UTC
Application: kcmshell5 (5.16.5)

Qt Version: 5.12.4
Frameworks Version: 5.62.0
Operating System: Linux 5.3.0-59-generic x86_64
Distribution: Ubuntu 19.10

-- Information about the crash:
- What I was doing when the application crashed:
Application and security updates, as detected by Discovery.
Laptop ran out of battery.
When I connected it to mains and pushed power button, it returned to the status it was (same applications open), but it was impossible to logout, reboot or shutdown.

-- Backtrace:
Application: System Settings Module (kcmshell5), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f70ee240840 (LWP 24519))]

Thread 4 (Thread 0x7f70e68ab700 (LWP 24522)):
#0  0x00007f70f3bc3c2f in __GI___poll (fds=0x7f70d80025e0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f70f09c1aae in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f70f09c1be3 in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f70f268a653 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f70f26315cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f70f246aa45 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f70f1a29319 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007f70f246bc92 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f70f14f9669 in start_thread (arg=<optimized out>) at pthread_create.c:479
#9  0x00007f70f3bd0323 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f70e7fff700 (LWP 24521)):
#0  0x00007f70f3bc3c2f in __GI___poll (fds=0x7f70e00029e0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f70f09c1aae in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f70f09c1be3 in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f70f268a653 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f70f26315cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f70f246aa45 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f70f3630efa in ?? () from /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
#7  0x00007f70f246bc92 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f70f14f9669 in start_thread (arg=<optimized out>) at pthread_create.c:479
#9  0x00007f70f3bd0323 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f70ed3c1700 (LWP 24520)):
#0  0x00007f70f3bc3c2f in __GI___poll (fds=0x7f70ed3c0c68, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f70f11d8917 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007f70f11da53a in xcb_wait_for_event () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007f70edb89288 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#4  0x00007f70f246bc92 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f70f14f9669 in start_thread (arg=<optimized out>) at pthread_create.c:479
#6  0x00007f70f3bd0323 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f70ee240840 (LWP 24519)):
[KCrash Handler]
#6  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
#7  0x00007f70f3ad3899 in __GI_abort () at abort.c:79
#8  0x00007f70f2432a99 in QMessageLogger::fatal(char const*, ...) const () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007f70f21b4dc6 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5QuickWidgets.so.5
#10 0x00007f70f21b50ea in ?? () from /usr/lib/x86_64-linux-gnu/libQt5QuickWidgets.so.5
#11 0x00007f70f21b72b6 in QQuickWidget::resizeEvent(QResizeEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5QuickWidgets.so.5
#12 0x00007f70f308787e in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#13 0x00007f70f21b7f75 in QQuickWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5QuickWidgets.so.5
#14 0x00007f70f3044a86 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#15 0x00007f70f304de00 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#16 0x00007f70f2632a2a in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#17 0x00007f70f307fade in QWidgetPrivate::sendPendingMoveAndResizeEvents(bool, bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#18 0x00007f70f30839b7 in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#19 0x00007f70f3086b3b in QWidgetPrivate::setVisible(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#20 0x00007f70f3083970 in QWidgetPrivate::showChildren(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#21 0x00007f70f30839d3 in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#22 0x00007f70f3086b3b in QWidgetPrivate::setVisible(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#23 0x00007f70f3083970 in QWidgetPrivate::showChildren(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#24 0x00007f70f30839d3 in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#25 0x00007f70f308395a in QWidgetPrivate::showChildren(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#26 0x00007f70f30839d3 in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#27 0x00007f70f3086b3b in QWidgetPrivate::setVisible(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#28 0x00007f70f3083970 in QWidgetPrivate::showChildren(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#29 0x00007f70f30839d3 in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#30 0x00007f70f308395a in QWidgetPrivate::showChildren(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#31 0x00007f70f30839d3 in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#32 0x00007f70f308395a in QWidgetPrivate::showChildren(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#33 0x00007f70f30839d3 in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#34 0x00007f70f3086b3b in QWidgetPrivate::setVisible(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#35 0x00007f70f3083970 in QWidgetPrivate::showChildren(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#36 0x00007f70f30839d3 in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#37 0x00007f70f3086b3b in QWidgetPrivate::setVisible(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#38 0x00007f70f324888e in QDialog::setVisible(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#39 0x00007f70f3ca932c in kdemain () from /usr/lib/x86_64-linux-gnu/libkdeinit5_kcmshell5.so
#40 0x00007f70f3ad51e3 in __libc_start_main (main=0x5638e420e060, argc=4, argv=0x7ffdf9206ec8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffdf9206eb8) at ../csu/libc-start.c:308
#41 0x00005638e420e09e in _start ()
[Inferior 1 (process 24519) detached]

Possible duplicates by query: bug 413943, bug 411017.

Reported using DrKonqi
Comment 1 Nate Graham 2020-07-07 19:41:22 UTC
Sounds like the update was only half-applied due to your computer turning off in the middle. I would recommend checking for updates again and re-applying the updates--this time with the power cord plugged in. Does that solve the problem?

Also I would recommend upgrading to (K)Ubuntu 20.04. 19.10 is no longer supported and ships an old version of Plasma and other KDE software.
Comment 2 Bug Janitor Service 2020-07-22 04:33:09 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 3 carlo.vaiani 2020-07-22 15:55:32 UTC
I think there's a misunderstanding.
I mentioned the sw update being ongoing because that was the condition, but in my opinion the bug is in the handling of the resumption after battery level went critical ("hibernation", in Windows terms).
Comment 4 Bug Janitor Service 2020-08-06 04:33:09 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 5 Christoph Feck 2020-08-17 16:52:11 UTC
Are you using NVIDIA binary OpenGL drivers?
Comment 6 Bug Janitor Service 2020-09-01 04:33:08 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 7 Bug Janitor Service 2020-09-16 04:33:11 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!